%define upstream_name    DBIx-Class-DeploymentHandler
%define upstream_version 0.002208

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extensible DBIx::Class deployment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.350.0
BuildRequires: perl(DBIx::Class) >= 0.81.210
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Contextual) >= 0.4.200
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.180.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(SQL::Translator) >= 0.110.50
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Brew) >= 0.20.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%description
'DBIx::Class::DeploymentHandler' is, as its name suggests, a tool for
deploying and upgrading databases with DBIx::Class. It is
designed to be much more flexible than DBIx::Class::Schema::Versioned,
hence the use of Moose and lots of roles.

'DBIx::Class::DeploymentHandler' itself is just a recommended set of roles
that we think will not only work well for everyone, but will also yield the
best overall mileage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.2.208-2.mga4
+ Revision: 537015
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.2.208-1.mga4
+ Revision: 486169
- update to 0.002208

* Fri Aug 30 2013 sander85 <sander85> 0.2.207-1.mga4
+ Revision: 473292
- update to 0.002207

* Fri Jun 07 2013 jquelin <jquelin> 0.2.206-1.mga4
+ Revision: 438953
- update to 0.002206

* Sun Jan 13 2013 umeabot <umeabot> 0.2.203-2.mga3
+ Revision: 365115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.2.203-1.mga3
+ Revision: 341997
- update to 0.002203

* Mon Sep 10 2012 jquelin <jquelin> 0.2.202-1.mga3
+ Revision: 291638
- update to 0.002202

* Thu Jul 12 2012 jquelin <jquelin> 0.2.115-1.mga3
+ Revision: 270270
- update to 0.002115

* Tue Jun 05 2012 jquelin <jquelin> 0.2.114-1.mga3
+ Revision: 254738
- update to 0.002114

* Mon Mar 05 2012 jquelin <jquelin> 0.2.100-1.mga2
+ Revision: 218671
- update to 0.002100

* Thu Feb 23 2012 jquelin <jquelin> 0.1.8-1.mga2
+ Revision: 212748
- update to 0.001008

* Fri Apr 15 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 85692
- adding missing buildrequires:
- update to 0.001005

* Tue Jan 25 2011 jquelin <jquelin> 0.1.4-3.mga1
+ Revision: 38580
- mageia rebuild
- imported package perl-DBIx-Class-DeploymentHandler

